{% extends "base.html" %}

{# This was made to work only with the Homepage type. #}
{% load mezzanine_tags %}
{% load i18n %}

{% block breadcrumb %}{% endblock %}
{% block full_main %}
{# {{ block.super }} #}

<header class="services-header">
    <div class="primary-dark-div">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="service-header-text text-center center-block">
                        <h1 class="animated fadeInDown animation-delay-2">AGEPoly</h1>
                        <p class="animated fadeInDown animation-delay-5">{% blocktrans %}Association Générale des Etudiants de l'EPFL{% endblocktrans %}</p>
                        <p class="animated fadeInDown animation-delay-8"><a href="#aboutus" class="btn btn-ar btn-primary btn-lg">{% blocktrans %}En savoir plus{% endblocktrans %}</a></p>
                    </div>
                </div>
                <div class="col-md-6">
                    <h1 class="news-title animated fadeInDown animation-delay-3">{% blocktrans %}Dernières News{% endblocktrans %}</h1>
                    <ul class="services-header-list">
                        {% for blog_post in latest_blog_posts %}
                        {# Change the delay to match the one of the original template #}
                        <li class="animated fadeInUp animation-delay-{{ forloop.counter0|add:"5" }}">
                            <a href="{{ blog_post.get_absolute_url }}">{{ blog_post.title }}
                            <span class="pull-right">{{ blog_post.publish_date|date:"j/m/y" }}</span>
                            </a>
                        </li>
                        {# <li class="animated fadeInUp animation-delay-8"><a href="#">{{ blog_post.title }}</a></li> #}
                        {# <li class="animated fadeInUp animation-delay-11"><a href="#">Truc trois</a></li> #}
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="container">

    <section class="margin-bottom">
        <div class="row">
            <div class="col-md-12">
                <h2 class="right-line">{% trans "What do we do?" %}</h2>
            </div>
            {% for vignette in page.homepage.vignette_set.all %}

            <div class="col-md-4 col-sm-6">
                <div class="text-icon wow fadeInUp">
                    <span class="icon-ar icon-ar-lg"><i class="fa fa-{{ vignette.logo_name }}"></i></span>
                    <div class="text-icon-content">
                        <h3 class="no-margin">{{ vignette.title }}</h3>
                        <p>{{ vignette.content }}</p>
                    </div>
                </div>
            </div>
            {% endfor %}

        </div> <!-- row -->
    </section>
</div>

<section class="section-lines">
    <div class="container">
        <div class="row">
            <div class="col-md-12 padding-40">
                <p class="slogan text-center no-margin">{% blocktrans %}<strong>TON</strong> Association d'étudiants!{% endblocktrans %}</p>
            </div>
        </div>
    </div>
</section>

{% comment "Temporary disable photos until facebook fix" %}
<div class="container">
    <section class="margin-bottom">
        <h2 class="section-title">{% trans "Latest photos" %}</h2>
        <div class="bxslider-controls">
            <span id="bx-prev4">
                <a class="bx-prev" href="">
                    <
                </a>
            </span>
            <span id="bx-next4">
                <a class="bx-next" href="">
                    >
                </a>
            </span>
        </div>
        <div class="bx-wrapper" style="max-width: 1130px; margin: 0px auto;">
            <div class="bx-viewport" style="width: 100%; overflow: hidden; position: relative;">
                <ul class="bxslider" id="latest-works">
                    {% for photos in facebook_photos %}
                    <li style="float: left; list-style: outside none none; position: relative; width: 275px; margin-right: 10px;">
                        <a href="{{ photos.0.1}}">
                            <div class="img-boxed">
                                <img src="{{ photos.0.0 }}" class="img-responsive" alt="Image">
                            </div>
                        </a>

                        <a href="{{ photos.1.1}}">
                            <div class="img-boxed">
                                <img src="{{ photos.1.0 }}" class="img-responsive" alt="Image">
                            </div>
                        </a>
                    </li>
                    {% endfor %}
                </ul>
                <p>
                {% blocktrans %}Vous pouvez trouver les autres photos de l'AGEPoly sur {% endblocktrans %}<a href="https://www.facebook.com/AGEPoly/photos_stream?tab=photos_albums">Facebook</a>
                </p>
            </div>
        </div>
    </section>
</div>
{% endcomment %}

<section class="wrap-primary-color margin-bottom">
    <div class="container">
        <div class="row">
            {% for circlenumber in page.homepage.circlenumber_set.all %}
            <div class="col-sm-6 col-md-3">
                <div class="text-center">
                    <div class="circle" id="circles-{{forloop.counter0|add:"1" }}"></div>
                    <h4 class="text-center">{{ circlenumber.number }}</h4>
                    <h4 class="text-center">{{ circlenumber.title}}</h4>
                    <p class="small-font">{{ circlenumber.description }}</p>
                </div>
            </div>
            {% endfor %}
    </div>
</section>

<div class="container">
     <section class="margin-bottom">
         <p class="lead lead-lg text-center primary-color margin-bottom">{% blocktrans %}L'AGEPoly est là <strong>pour toi</strong>{% endblocktrans %}</p>
        <div class="row">
             <div class="col-md-12">
                 <a href="#" id="aboutus" style="visibility:hidden"></a>
                 <h2 class="no-margin-top">{% trans "About us" %}</h2>
                 {{ page.homepage.content|safe }}
             </div>
        </div>
    </section>

</div> <!-- container -->

{% endblock %}
